# Namespace (Crawler-commons 0.9 API)
Date: 2017-10-27

crawlercommons.sitemaps

## Class Namespace

- java.lang.Object
- - crawlercommons.sitemaps.Namespace

    public class Namespace
    extends Object

supported sitemap formats: https://www.sitemaps.org/protocol.html#otherformats

### Field Summary

Fields
`static String` `ATOM_0_3`
`static String` `ATOM_1_0`
`static String` `RSS_2_0` RSS and Atom sitemap formats do not have strict definition.
`static String` `SITEMAP`

### Constructor Summary

Constructors
Constructor and Description
`Namespace()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SITEMAP

    public static final String SITEMAP

See Also:
  Constant Field Values

#### RSS_2_0

    public static final String RSS_2_0

RSS and Atom sitemap formats do not have strict definition. But if we do not parse as namespace aware, then RSS/Atom files that choose to use namespaces will break. The relaxed compromise for RSS/Atom is to always parse as "namespace aware", but we will only match elements by the localName, accepting any element namespace.

See Also:
  Constant Field Values

#### ATOM_0_3

    public static final String ATOM_0_3

See Also:
  Constant Field Values

#### ATOM_1_0

    public static final String ATOM_1_0

See Also:
  Constant Field Values

### Constructor Detail

#### Namespace

    public Namespace()